package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface TruckInvoiceConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void setMoreOptionStr(String moreOptionStr);
		void addCustomView(android.view.View view);
		String getTruckNoProvince();
		void setTruckNoProvince(String letter);
		String getTruckNo();
		void setTruckNo(String trainNo);
		void setOrderNo(String orderNoStr);
		String getOrderNo();
		void setDriverName(String driverName);
		String getDriverName();
		void setDriverTel(String driverTel);
		String getDriverTel();
		void setStartStation(String startStationStr);
		void setEndStation(String endStationStr);
		String getEndStationName();
		void setDate(String dateStr);
		String getDate();
		TextView getDateTextView();
		android.view.View getTruckNoProvinceView();
		TextView getTruckNoProvinceTextView();
		android.view.View getStartStationView();
		TextView getStartStationTextView();
		void setConsigneeStr(String consigneeStr);
		String getConsigneeStr();
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void choiceTruckNoProvince();
		void choiceStartStation();
		void choiceEndStation();
		void choiceConsigneeClick();
		void choiceDate();
		void complete();
		void moreOptionClick();
	}

}
